POST /api/workflows/export

Spaces method and path for this operation:

post /s/{space_id}/api/workflows/export

Refer to Spaces for more information.

Export one or more workflows as JSON with YAML content and metadata.

[Required authorization] Route required privileges: workflowsManagement:read.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • ids array[string] Required

    Array of workflow IDs to export.

    At least 1 but not more than 500 elements. Maximum length of each is 255.

Responses

  • 200 application/json

    JSON containing exported workflow YAML entries and manifest metadata

POST /api/workflows/export
curl \
  -X POST "${KIBANA_URL}/api/workflows/export" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
    "ids": ["workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890", "workflow-b2c3d4e5-f6a7-8901-bcde-f12345678901"]
  }'
POST kbn://api/workflows/export
{
  "ids": ["workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890", "workflow-b2c3d4e5-f6a7-8901-bcde-f12345678901"]
}
Request example
Example request to export workflows
{
  "ids": [
    "workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "workflow-b2c3d4e5-f6a7-8901-bcde-f12345678901"
  ]
}
Response examples (200)
Workflow entries with YAML content and export manifest
{
  "entries": [
    {
      "id": "workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "yaml": "name: My Workflow\nsteps:\n  - type: http.request\n    with:\n      url: https://example.com"
    },
    {
      "id": "workflow-b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "yaml": "name: Another Workflow\nsteps:\n  - type: http.request\n    with:\n      url: https://example.com"
    }
  ],
  "manifest": {
    "version": "1",
    "exportedAt": "2026-03-26T12:00:00.000Z",
    "exportedCount": 2
  }
}